
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.control.AbstractNlExportArtefaktNachSystemExportstatusExportContext;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.eml.AbstractNlWasEml510xNachGebietErgebniseingabestatusExportMapper;
import de.ivu.elect.was.exchange.ergebnis.eml.Eml510bGSBErgebnisExportMapper;

/**
 * ELECTVAPP-1999
 *
 * @see NlWasModelNa142MainDocumentExportMapper
 * @see NlWasModelNa142Eml510dExportMapper
 * @see NlWasModelNa142Osv43CsvExportMapper
 */
public class NlWasModelNa142Eml510bExportMapper extends AbstractNlWasEml510xNachGebietErgebniseingabestatusExportMapper implements NlWasModelNa142ExportMapper {

  @Inject
  private transient Eml510bGSBErgebnisExportMapper eml510bGSBErgebnisExportMapper;

  public NlWasModelNa142Eml510bExportMapper() {
    super();
  }

  @Override
  public boolean supportsBulkExportNachSystemExportstatus(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return NlWasModelNa142ExportMapperHelper.supportsBulkExportNachSystemExportstatus(context);
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelNa142ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelNa142ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelNa142ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }

  @Override
  protected Eml510bGSBErgebnisExportMapper getEmlExportMapper() {
    return eml510bGSBErgebnisExportMapper;
  }
}
